Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

転送元カスタムコネクタ更新

Prev Next
Patch
/api/custom_connector_inputs/{custom_connector_id}

転送元カスタムコネクタ定義を更新します。
endpoints を省略した場合は既存のエンドポイントを維持します(差分更新)。
endpoints を指定した場合は指定内容で洗い替えされます。既存エンドポイントを温存する場合は 各エンドポイントに id を指定してください(id を含まないエンドポイントは新規作成、 リクエストに含まれない既存エンドポイントは削除されます)。
このカスタムコネクタに属さない endpoint id(他コネクタ・他アカウント・存在しない id)を 指定した場合は 400 になります。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Path parameters
custom_connector_id
integer (int64) Required

カスタムコネクタIDを指定します。

Body parameters
Expand All
object

転送元カスタムコネクタ定義の作成/更新リクエストです。

name
string Required

カスタムコネクタ名です。

ExampleMy API Connector
description
string | null

メモです。

Exampledesc
url
string Required

ベースURLです。http/https のみ、プライベートIPは指定できません。

Examplehttps://api.example.com
auth_type
string Required

認証方式です。

Valid values[ "api_key", "oauth2" ]
Exampleapi_key
auth_header_name
string

認証ヘッダー名です。auth_type が api_key の場合は必須です。

ExampleAuthorization
auth_header_scheme
string | null

認証ヘッダーのスキームです。

ExampleBearer
grant_type
string | null

OAuth2 のグラントタイプです。auth_type が oauth2 の場合に指定します。

Valid values[ "authorization_code", "client_credentials" ]
auth_uri
string | null

OAuth2 の認可エンドポイントURIです。grant_type が authorization_code の場合に指定します。

access_token_uri
string | null

OAuth2 のトークンエンドポイントURIです。auth_type が oauth2 の場合に指定します。

endpoints
Array of object

エンドポイント定義の一覧です。 更新時は省略すると既存のエンドポイントを維持し(差分更新)、指定した場合は 指定内容で洗い替えします(空配列を指定すると全削除)。

object

エンドポイント定義(作成/更新リクエスト用)です。 更新時に既存エンドポイントを温存する場合は id を指定します。id を省略すると新規作成されます。

id
integer (int64)

既存エンドポイントのIDです。更新時に温存対象を指定する場合のみ設定します。

Example1
name
string Required
Examplelist_users
path
string Required
Example/users
method
string Required
Valid values[ "GET", "POST" ]
ExampleGET
request_body
string | null
jsonpath_root
string Required
Example$.data
success_codes
string Required
Example200
not_retryable_codes
string Required
Example400,401,403,404
parameters
Array of object
object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string Required

フィールド名です。

Examplelimit
display_name
string Required

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean Required

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean Required

必須かどうかです。

Exampletrue
headers
Array of object
object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string Required

フィールド名です。

Examplelimit
display_name
string Required

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean Required

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean Required

必須かどうかです。

Exampletrue
path_parameters
Array of object
object

エンドポイントのパスパラメータです。

name
string Required

パスパラメータ名です。

Exampleuser_id
value
string Required

値です。エンドポイントの path 内に含まれている必要があります。

Exampleuser_id
paginator
object | null
inject_into
string

ページングパラメータの注入先です。

Valid values[ "query", "request_body" ]
Default"query"
Examplequery
pagination_strategy

ページネーション戦略です。type により保持する属性が異なります。

OneOf
PageIncrementStrategy
object (PageIncrementStrategy)
type
string Required
Valid values[ "page_increment" ]
page_size
integer | null
last_page_size
string | null

最後のページのサイズです。数値のほか JSONPath 式(例 $.meta.last_page_size)を指定できます。

start_from_page
integer | null
stop_on_page
integer | null
total_pages
string | null

総ページ数です。数値のほか JSONPath 式(例 $.meta.total_pages)を指定できます。

max_request_count
integer | null
OffsetIncrementStrategy
object (OffsetIncrementStrategy)
type
string Required
Valid values[ "offset_increment" ]
page_size
integer | null
last_page_size
string | null

最後のページのサイズです。数値のほか JSONPath 式(例 $.meta.last_page_size)を指定できます。

start_from_offset
integer | null
stop_on_offset
integer | null
total_records
string | null

総レコード数です。数値のほか JSONPath 式(例 $.meta.total_records)を指定できます。

max_request_count
integer | null
CursorBasedStrategy
object (CursorBasedStrategy)
type
string Required
Valid values[ "cursor_based" ]
page_size
integer | null
cursor_value
string | null
page_size_option
object | null

ページサイズを渡すフィールドの設定です。

field_name
string
Exampleper_page
page_token_option
object | null

ページトークン(ページ番号/オフセット/カーソル)を渡すフィールドの設定です。

field_name
string
Examplepage
Responses
200

更新したカスタムコネクタ定義を返します。

Expand All
object

カスタムコネクタ定義(詳細)です。

id
integer (int64)

カスタムコネクタIDです。

Example1
name
string
ExampleMy API Connector
description
string | null
Exampledesc
url
string

ベースURLです。

Examplehttps://api.example.com
auth_type
string

認証方式です。

Valid values[ "api_key", "oauth2" ]
Exampleapi_key
auth_header_name
string

認証ヘッダー名です。

ExampleAuthorization
auth_header_scheme
string | null

認証ヘッダーのスキームです。

ExampleBearer
transfer_type
string

転送方向です。転送元は input です。

Valid values[ "input", "output" ]
Exampleinput
grant_type
string | null

OAuth2 のグラントタイプです。auth_type が oauth2 の場合のみ返されます。

auth_uri
string | null

OAuth2 の認可エンドポイントURIです。

access_token_uri
string | null

OAuth2 のトークンエンドポイントURIです。

endpoints
Array of object

エンドポイント一覧です(id 昇順)。

object

転送元カスタムコネクタのエンドポイント定義です。

id
integer (int64)

エンドポイントIDです。更新時にこのIDを指定すると既存エンドポイントが温存されます。

Example1
name
string

エンドポイント名です。

Examplelist_users
path
string

パスです。

Example/users
method
string

HTTPメソッドです。

Valid values[ "GET", "POST" ]
ExampleGET
request_body
string | null

リクエストボディです。

jsonpath_root
string

レスポンスからレコード配列を取り出すJSONPathです。

Example$.data
success_codes
string

成功とみなすHTTPステータスコード(カンマ区切り)です。

Example200
not_retryable_codes
string

リトライしないHTTPステータスコード(カンマ区切り)です。

Example400,401,403,404
parameters
Array of object

クエリパラメータ一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
headers
Array of object

ヘッダー一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
path_parameters
Array of object

パスパラメータ一覧です(作成順)。

object

エンドポイントのパスパラメータです。

name
string

パスパラメータ名です。

Exampleuser_id
value
string

値です。エンドポイントの path 内に含まれている必要があります。

Exampleuser_id
paginator
object | null

ページネーション設定です。無い場合は null です。

inject_into
string

ページングパラメータの注入先です。

Valid values[ "query", "request_body" ]
Default"query"
Examplequery
pagination_strategy

ページネーション戦略です。type により保持する属性が異なります。

OneOf
PageIncrementStrategy
object (PageIncrementStrategy)
type
string
Valid values[ "page_increment" ]
page_size
integer | null
last_page_size
string | null

最後のページのサイズです。数値のほか JSONPath 式(例 $.meta.last_page_size)を指定できます。

start_from_page
integer | null
stop_on_page
integer | null
total_pages
string | null

総ページ数です。数値のほか JSONPath 式(例 $.meta.total_pages)を指定できます。

max_request_count
integer | null
OffsetIncrementStrategy
object (OffsetIncrementStrategy)
type
string
Valid values[ "offset_increment" ]
page_size
integer | null
last_page_size
string | null

最後のページのサイズです。数値のほか JSONPath 式(例 $.meta.last_page_size)を指定できます。

start_from_offset
integer | null
stop_on_offset
integer | null
total_records
string | null

総レコード数です。数値のほか JSONPath 式(例 $.meta.total_records)を指定できます。

max_request_count
integer | null
CursorBasedStrategy
object (CursorBasedStrategy)
type
string
Valid values[ "cursor_based" ]
page_size
integer | null
cursor_value
string | null
page_size_option
object | null

ページサイズを渡すフィールドの設定です。

field_name
string
Exampleper_page
page_token_option
object | null

ページトークン(ページ番号/オフセット/カーソル)を渡すフィールドの設定です。

field_name
string
Examplepage
created_at
string

作成日時です。タイムゾーンはJST 日本時間(GMT+9)です。

Example2023-08-22T18:00:00+00:00
updated_at
string

更新日時です。タイムゾーンはJST 日本時間(GMT+9)です。

Example2023-08-22T18:00:00+00:00
400

Bad request.
不正なリクエストです。

401

Not authenticated.
認証エラーです。API KEYをご確認ください。

404

Not found.
指定したカスタムコネクタが存在しないか、転送元ではありません。

409

Conflict.
利用中のエンドポイントの削除や、一括リビジョン更新ジョブの二重実行など、リソースの状態と競合するリクエストです。